////////////////////////////////////////////////////////////////////////////////
//QALab is released under the GNU General Public License.
//
//QALab: Collects QA Statistics from your build over time.
//2005+, ObjectLab Ltd
//
//This library is free software; you can redistribute it and/or
//modify it under the terms of the GNU General Public
//License as published by the Free Software Foundation; either
//version 2.1 of the License, or (at your option) any later version.
//
//This library is distributed in the hope that it will be useful,
//but WITHOUT ANY WARRANTY; without even the implied warranty of
//MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
//General Public License for more details.
//
//You should have received a copy of the GNU General Public
//License along with this library; if not, write to the Free Software
//Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
//
////////////////////////////////////////////////////////////////////////////////
package net.objectlab.qalab.parser;

/**
 * This class is able to read the XML output from Checkstyle and integrate the
 * violation results into our "buildstat" xml format.
 * 
 * @see <a href="http://checkstyle.sourceforge.net/">Checkstyle at SourceForge</a>
 * @author Benoit Xhenseval
 * @version $Revision: 1.8 $
 */
public class CheckstyleStatMerge extends CheckstyleOrPMDBaseMerge {
    // ~ Methods
    // ------------------------------------------------------------------------

    /**
     * @return "file"
     */
    protected final String getFileTag() {
        return "file";
    }

    /**
     * @return classname
     */
    protected final String getFileNameAttribute() {
        return "name";
    }

    /**
     * @return tag for a violation/error
     */
    protected final String getViolationTag() {
        return "error";
    }

    /**
     * @return checkstyle
     */
    public final String getType() {
        return "checkstyle";
    }
}
